evil_dlfcn.h File Reference

The file that provides functions to manage dynamic-link libraries. More...

## Macros

#define | RTLD_LAZY 0x00001 /* lazy function call binding. Unused */
| Lazy function call binding.
#define | RTLD_NOW 0x00002 /* immediate function call binding. Unused */
| Immediate function call binding.
#define | RTLD_GLOBAL
| Symbols in this dlopen'ed obj are visible to other dlopen'ed objs.
#define | RTLD_LOCAL
| Symbols in this dlopen'ed obj are not visible to other dlopen'ed objs.
#define | RTLD_NODELETE 0x01000 /* do not delete object when closed. */
| Symbols are not deleted when closed.
#define | HAVE_DLOPEN 1
#define | HAVE_DLSYM 1

## Functions

EVIL_API void * | dlopen (const char *path, int mode)
| Map a specified executable module (either a .dll or .exe file) into the address space of the user process.
EVIL_API int | dlclose (void *handle)
| Close a dynamic-link library.
EVIL_API void * | dlsym (void *handle, const char *symbol)
| Get the address of a symbol.
EVIL_API char * | dlerror (void)
| Get diagnostic information.

## Detailed Description

The file that provides functions to manage dynamic-link libraries.

## Macro Definition Documentation

## RTLD_GLOBAL

#define RTLD_GLOBAL

Value:
0x00004 /* symbols in this dlopen'ed obj are visible
to other dlopen'ed objs. Unused */

Symbols in this dlopen'ed obj are visible to other dlopen'ed objs.

Referenced by efl_quicklaunch_prepare(), eina_module_load(), and elm_quicklaunch_prepare().

## RTLD_LOCAL

#define RTLD_LOCAL

Value:
0x00008 /* symbols in this dlopen'ed obj are not visible
to other dlopen'ed objs. Unused */

Symbols in this dlopen'ed obj are not visible to other dlopen'ed objs.